+++
title = "Configuring Date and Time"
lastmod = "2017-06-20T19:16:24+03:00"
+++
# Configuring Date and Time

With Solus it is easy to change the date and time of your system and how it is displayed.

## Budgie

In Budgie, the easiest way to access the date and time settings is by left clicking on the time in the top panel and clicking on "Time and date settings".  

{{< altimg "budgie-time-and-date-right-click.jpg" "help-center/configuration/configuring-date-and-time/" >}}

Alternatively, you can open the Budgie Menu and then click on "Date & Time" in the System Settings section.

You will be presented with the following window. This window provides you with the ability to enable / disable automatic date & time, automatic time zone changing, and the time format.  You will need to click on "Unlock" and input your user password before changes can be made.

{{< altimg "configuring-date-and-time.jpg" "help-center/configuration/configuring-date-and-time/" >}}

If you wish to change how the time is displayed in the top panel, left click on the time and click "Preferences".  You can now show the date, seconds or use 24 hour time.

{{< altimg "/2017/04/Budgie_ClockApplet.jpg" >}}

## GNOME

To change the date and time settings in GNOME, you can open the Overlay using the `Super` button on your keyboard or by clicking the applications icon in the dock and then finding and clicking on "Date & Time".

You will be presented with the following window. This window provides you with the ability to enable / disable automatic date & time, automatic time zone changing, and the time format.  You will need to click on "Unlock" and input your user password before changes can be made.

{{< altimg "configuring-date-and-time.jpg" "help-center/configuration/configuring-date-and-time/" >}}

If you wish to change how the time is displayed in the top panel, go back to the Applications Overlay and then find and click on "Tweak Tool".  You can now show the date and / or seconds by opening the Top Bar section.

{{< altimg "gnome-tweak-tool-top-bar.jpg" "help-center/configuration/configuring-date-and-time/" >}}

## MATE

Using MATE, there are a couple of different ways to change the date and time.  You can right click on the time in the bottom panel and click on "Preferences".

{{< altimg "mate-time-and-date-right-click.jpg" "help-center/configuration/configuring-date-and-time/" >}}

This opens the Clock Preferences window and allows you to show the date, seconds or use 24 hour time.

{{< altimg "mate-clock-preferences.jpg" "help-center/configuration/configuring-date-and-time/" >}}

To change the time, click on "Time Settings" at the bottom of this window.

{{< altimg "mate-time-and-date.jpg" "help-center/configuration/configuring-date-and-time/" >}}

Once you have the correct time, you can click on "Set System Time".

Alternatively, if you wish to change your timezone, open the Brisk Menu and then click on "Administration" followed by "Time and Date".  Click on "Unlock" and input your user password so that you can alter the time zone.  

{{< altimg "mate-time-and-date-settings.jpg" "help-center/configuration/configuring-date-and-time/" >}}
