+++
title = "Configuring Default Applications"
lastmod = "2017-06-20T19:16:24+03:00"
+++
# Configuring Default Applications

Easily change your default web browser, e-mail client, video player, and more.

It is also possible to specify which application a certain file type will use when opening.

## Budgie

You can configure default applications in Budgie by opening the Budgie Menu and then clicking on "Details" in the System Settings category.

Upon entering the Details section, click on "Default Applications" and then use the drop down boxes to select a different default application for each category.  For most categories, you will need to have installed alternative applications before you can change the default settings.  For instance, if you wish to change the default video player from GNOME MPV to VLC then you must first install VLC (available in the Software Center).

{{< altimg "configuring-default-applications.jpg" "help-center/configuration/configuring-default-applications/" >}}

*Note: In the image above, we've changed the Web browser and Photo viewer.*

You can specify default applications for individual file types by right clicking on a file and then clicking on "Open With Other Application".  

{{< altimg "open-with-right-click.jpg" "help-center/configuration/configuring-default-applications/" >}}

Next, select the application you wish to use from the list.  You may need to click "View All Applications" if you can't see the one you would like to use.  Finish by clicking "Select".  In the future, all files with the same file type will open with the same application.

{{< altimg "open-with-select-application.jpg" "help-center/configuration/configuring-default-applications/" >}}

## GNOME

With GNOME, you will need to open the Overlay using the `Super` button on your keyboard or by clicking the applications icon in the dock and then finding and clicking on "Details".

Upon entering the Details section, click on "Default Applications" and then use the drop down boxes to select a different default application for each category.  For most categories, you will need to have installed alternative applications before you can change the default settings.  For instance, if you wish to change the default video player from GNOME MPV to VLC then you must first install VLC (available in the Software Center).

{{< altimg "configuring-default-applications.jpg" "help-center/configuration/configuring-default-applications/" >}}

*Note: In the image above, we've changed the Web browser and Photo viewer.*

You can specify default applications for individual file types by right clicking on a file and then clicking on "Open With Other Application".  

{{< altimg "open-with-right-click.jpg" "help-center/configuration/configuring-default-applications/" >}}

Next, select the application you wish to use from the list.  You may need to click "View All Applications" if you can't see the one you would like to use.  Finish by clicking "Select".  In the future, all files with the same file type will open with the same application.

{{< altimg "open-with-select-application.jpg" "help-center/configuration/configuring-default-applications/" >}}

## MATE

Using MATE, open the Brisk Menu and click on "Preferences" and then on "Preferred Applications".

In this section you will need to click one of the five tabs at the top to find the category you wish to change.  For most categories, you will need to have installed alternative applications before you can change the default settings.  For instance, if you wish to change the default image viewer from Eye of MATE to GIMP then you must first install GIMP (available in the Software Center).

{{< altimg "mate-preferred-applications.jpg" "help-center/configuration/configuring-default-applications/" >}}

You can specify default applications for individual file types by right clicking on a file and then clicking on "Open with other Application...".  

{{< altimg "mate-open-with-right-click.jpg" "help-center/configuration/configuring-default-applications/" >}}

Next, select the application you wish to use and make sure "Remember this application for "your file type" files" is ticked.  Finish by clicking "Open".  In the future, all files with the same file type will open with the same application.

{{< altimg "mate-open-with-setting.jpg" "help-center/configuration/configuring-default-applications/" >}}
