+++
title = "Configuring Displays"
lastmod = "2017-06-20T19:16:24+03:00"
+++
# Configuring Displays

With Solus it is easy to configure your display and set up how multiple displays will work together.

## Budgie

You can configure your display(s) in Budgie by opening the Budgie Menu and then clicking on "Displays" in the System Settings category.

You will then be shown the following window.

{{< altimg "displays-overview.jpg" "help-center/configuration/configuring-displays/" >}}

Click on the individual display you wish to configure.  You will now be able to select if you wish to use this monitor as the primary or secondary display, mirror it with another display, or turn it off.  This window also gives you the size and aspect ratio, ability to rotate the display, and ability to change the resolution.

{{< altimg "individual-display-settings.jpg" "help-center/configuration/configuring-displays/" >}}

Going back to the Displays section, you also have the option to arrange your displays. Click the “Arrange Combined Displays” button and then drag your displays so they are arranged to your liking.

{{< altimg "arrange-displays.png" "help-center/configuration/configuring-displays/" >}}

Click "Apply" once you are happy with your changes.  You will be shown a message asking if the display looks OK, if it does, click on "Keep This Configuration".

{{< altimg "budgie-display-confirm.jpg" "help-center/configuration/configuring-displays/" >}}

## GNOME

In GNOME, You can configure your display(s) simply by right clicking anywhere on the desktop and clicking "Display Settings".  

{{< altimg "gnome-display-right-click.jpg" "help-center/configuration/configuring-displays/" >}}

Alternatively, you can open the Overlay using the `Super` button on your keyboard or by clicking the applications icon in the dock and then finding and clicking on "Displays".

You will then be shown the following window.

{{< altimg "displays-overview.jpg" "help-center/configuration/configuring-displays/" >}}

Click on the individual display you wish to configure.  You will now be able to select if you wish to use this monitor as the primary or secondary display, mirror it with another display, or turn it off.  This window also gives you the size and aspect ratio, ability to rotate the display, and ability to change the resolution.

{{< altimg "individual-display-settings.jpg" "help-center/configuration/configuring-displays/" >}}

Going back to the Displays section, you also have the option to arrange your displays. Click the “Arrange Combined Displays” button and then drag your displays so they are arranged to your liking.

{{< altimg "arrange-displays.png" "help-center/configuration/configuring-displays/" >}}

Click "Apply" once you are happy with your changes.  You will be shown a message asking if the display looks OK, if it does, click on "Keep Changes" within 20 seconds.

{{< altimg "gnome-display-confirm.jpg" "help-center/configuration/configuring-displays/" >}}

## MATE

With MATE, open the Brisk Menu and click on "Preferences" and then on "Displays".

This opens the Monitor Preferences window and your display(s) will be represented by 1 or more colored boxes.  Click on the individual display you wish to configure.  You will now be able to select if you wish to set this monitor as the primary display, mirror all displays by turning on "Same image in all monitors", or turn it off.  This window also gives you the ability to change the aspect ratio, rotate the display, and to change the resolution.

{{< altimg "mate-monitor-preferences.jpg" "help-center/configuration/configuring-displays/" >}}

You can arrange your displays by dragging the colored boxes to your preferred positions, as shown below.

{{< altimg "mate-monitor-preferences-dragging.jpg" "help-center/configuration/configuring-displays/" >}}

Click "Apply" once you are happy with your changes.  If you would like to apply the changes to all the user accounts on your system, click on "Apply system-wide".  You will be shown a message asking if the display looks OK, if it does, click on "Keep This Configuration" within 30 seconds.

{{< altimg "mate-monitor-preferences-confirm.jpg" "help-center/configuration/configuring-displays/" >}}
