+++
title = "Configuring Keyboard Layout"
lastmod = "2017-07-08T17:51:19+03:00"
+++
# Configuring Keyboard Layout

Conveniently change your keyboard layout settings and switch between multiple layouts with ease.

If you require support for a more complex language, where a traditional keyboard layout is insufficient, you may be able to use IBus (Intelligent Input Bus) and the relevant IME (Input Method Editor) package.

## Budgie

Using Budgie, you can change your keyboard layout by opening the Budgie Menu and then clicking on "Region and Language" in the System Settings category.

You will now be shown the following dialog.

{{< altimg "region-and-languages.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Click the `+` button to add an input source (keyboard layout). You will be shown the following dialog.

{{< altimg "add-input-source.png" "help-center/configuration/configuring-keyboard-layout/" >}}

Here you can select the language and then keyboard layout within each language section. If it does not appear in this list, click the `⋮` button (three vertical dots). This will enable you to search for the keyboard layout you wish to use.

After choosing the keyboard layout, click "Done". You will be brought back to the following dialog with your new keyboard layout. In the image below, we are now using English (US), Finnish, and Swedish layout.

{{< altimg "region-and-languages-newlang.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

You can remove a keyboard layout by clicking on one of the items, for instance Swedish, then clicking the `-` button.

If you wish to use multiple keyboard layouts, you can switch between them by using the keyboard shortcut `Super + Space` or by adding the Keyboard Layout Indicator applet to your Budgie panel.

### Keyboard Layout Indicator

To add the Keyboard Layout Indicator to your panel, open Raven, either by clicking on its icon in the far right of the system tray or using the keyboard shortcut `Super + A`. Now click the Raven settings cog icon.

{{< altimg "raven-settings-cog.jpg" "help-center/configuration/enabling-workspaces/" >}}

Click the "Panel" button, then in the Applets section, click the `+` button.

Find the Keyboard Layout Indicator entry and select it. Click the `+` button at the top of the panel. This will add the Keyboard Layout Indicator to the center section, as shown below.

{{< altimg "budgie-keyboard-layout-applet.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

### IBus

Budgie comes with IBus ready to go straight out of the box. Simply find the IME (Input Method Editor) you require from the [IBus IME Package List](#ibus-ime-package-list) and then search for it in the Software Center. Click "Install" to add the IME.

{{< altimg "ibus-ime-install.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

You may have to agree to install some additional dependencies and will need to type in your user password as authentication is required.

{{< altimg "ibus-ime-dependencies.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Once it has finished installing, logout of your computer and then login again.  Now you'll be able to select the newly installed IME by following the same steps as detailed above for changing keyboard layouts in Budgie.  For instance, in this example we have installed the `ibus-hangul` package for the Korean language.  By following the steps above and then searching for Korean keyboard layouts, we are now able to select Korean (Hangul) as an input source.

{{< altimg "ibus-region-and-languages.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Additionally, once you have added the IME and have it selected in the Region & Languages window, you can click on the cog icon under the input sources to load the settings window for your specific IME.  The `ibus-hangul` settings window is shown below but this will vary between the different IME's.

{{< altimg "ibus-ime-settings-hangul.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

You will now be able to switch between your keyboard layouts by using the keyboard shortcut `Super + Space` or by using the Keyboard Layout Indicator applet.

{{< altimg "budgie-keyboard-layout-applet-ibus.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

## GNOME

With GNOME, open the Overlay using the `Super` button on your keyboard or by clicking the applications icon in the dock and then find and click on "Region and Language".

You will now be shown the following dialog.

{{< altimg "region-and-languages.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Click the `+` button to add an input source (keyboard layout). You will be shown the following dialog.

{{< altimg "add-input-source.png" "help-center/configuration/configuring-keyboard-layout/" >}}

Here you can select the language and then keyboard layout within each language section. If it does not appear in this list, click the `⋮` button (three vertical dots). This will enable you to search for the keyboard layout you wish to use.

After choosing the keyboard layout, click "Done". You will be brought back to the following dialog with your new keyboard layout. In the image below, we are now using English (US), Finnish, and Swedish layout.

{{< altimg "region-and-languages-newlang.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

You can remove a keyboard layout by clicking on one of the items, for instance Swedish, then clicking the `-` button.

If you wish to use multiple keyboard layouts, you can switch between them by using the keyboard shortcut `Super + Space` or by clicking on the keyboard layout icon shown in the system tray. The icon will automatically appear when you have 2 or more keyboard layouts selected.

{{< altimg "gnome-top-panel-keyboard-layout.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

### IBus

For ease of use, GNOME has IBus up and running by default. Simply find the IME (Input Method Editor) you require from the [IBus IME Package List](#ibus-ime-package-list) and then search for it in the Software Center. Click "Install" to add the IME.

{{< altimg "ibus-ime-install.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

You may have to agree to install some additional dependencies and will need to type in your user password as authentication is required.

{{< altimg "ibus-ime-dependencies.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Once it has finished installing, logout of your computer and then login again.  Now you'll be able to select the newly installed IME by following the same steps as detailed above for changing keyboard layouts in GNOME.  For instance, in this example we have installed the `ibus-hangul` package for the Korean language.  By following the steps above and then searching for Korean keyboard layouts, we are now able to select Korean (Hangul) as an input source.

{{< altimg "ibus-region-and-languages.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Additionally, once you have added the IME and have it selected in the Region & Languages window, you can click on the cog icon under the input sources to load the settings window for your specific IME.  The `ibus-hangul` settings window is shown below but this will vary between the different IME's.

{{< altimg "ibus-ime-settings-hangul.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

 You can now switch between your layouts by using the keyboard shortcut `Super + Space` or by clicking on the keyboard layout icon shown in the system tray.

{{< altimg "gnome-top-panel-keyboard-layout-ibus.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

## MATE

To change your keyboard layout in MATE, open the Brisk Menu and click on "Preferences" and then on "Keyboard". This will open the Keyboard Preferences window, now click on the "Layouts" tab.

{{< altimg "mate-keyboard-preferences.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

To add a layout, click on the "+ Add..." button. The 2 tabs at the top of the chooser window give you the option to find your layout by country or by language. The preview gives you a graphical representation of each layout.  Once you are happy with your selection, click on "+ Add".

{{< altimg "mate-keyboard-choose-layout.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

You can remove a keyboard layout by selecting one of the items in your layouts list and then clicking the "- Remove" button.

If you wish to use multiple keyboard layouts, you can switch between them by left clicking on the keyboard layout icon shown in the system tray. The icon will automatically appear when you have 2 or more keyboard layouts selected. A right click allows you to open the keyboard preferences window and to see the graphical view of your current layout.

{{< altimg "mate-bottom-panel-keyboard.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

To enable keyboard shortcuts for easy switching, re-open the Keyboard Preferences window and open the "Layouts" tab again. Now click on the "Options..." button. This will open a detailed options list, look for and click on "Switching to another layout". Select one or more of the available keyboard shortcuts and then finish by clicking "X Close".

{{< altimg "mate-keyboard-layout-shortcuts.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

### IBus

By default, IBus needs to be started in MATE before it can be used. Open the Brisk Menu, click on "Preferences" and then on "IBus Preferences". You will be asked if you wish to start the IBus daemon, click "Yes".

{{< altimg "mate-ibus-starting-daemon.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

If you wish to have the IBus daemon start automatically every time you start Solus MATE, Open the Brisk Menu, click on "Preferences" and then on "Startup Applications".  Under the Startup Programs tab, click on "+ Add".

{{< altimg "mate-startup-applications.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

In the Command box, you will need to write `ibus-daemon --xim`.  If you wish, you can also fill in a Name and Comment but these are not compulsory. Once you are happy with your inputs, click the "+ Add" button. IBus will now run each time you boot your computer.

{{< altimg "mate-ibus-add-startup.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Before you can start using your IME (Input Method Editor) of choice, have a look at the [IBus IME Package List](#ibus-ime-package-list) to see which package you require and then search for it in the Software Center. Click "Install" to add the IME.

{{< altimg "ibus-ime-install.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

You may have to agree to install some additional dependencies and will need to type in your user password as authentication is required.

{{< altimg "ibus-ime-dependencies.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Once it has finished installing, logout of your computer and then login again. To start using your newly installed IME, you need to open the IBus Preferences. This can be done by right clicking on the keyboard layout icon that IBus adds to the bottom panel system tray or by opening the Brisk Menu, clicking on "Preferences" and then on "IBus Preferences".

{{< altimg "mate-bottom-panel-ibus-right-click.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

With the IBus Preferences window open, click on the "Input Method" tab at the top. Follow this by clicking on the "Add" button.

{{< altimg "mate-ibus-preferences.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

You will now need to find your installed IME by searching for the language that it is used for. For instance, in this example we have installed the `ibus-hangul` package for the Korean language. Korean does not appear in the initial list but can be found by clicking the `⋮` button (three vertical dots) and then searching for Korean. Click on the language you are looking for and then you should see an entry for the IME you installed. Select it and then click on "Add".

{{< altimg "mate-ibus-select-input.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Finish by closing the IBus Preferences window. You can now switch between your layouts by using the keyboard shortcut `Super + Space`.

{{< altimg "mate-ibus-keyboard-shortcut.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

Or by left clicking on the keyboard layout icon shown in the system tray and selecting the layout you wish to use.

{{< altimg "mate-bottom-panel-ibus-left-click.jpg" "help-center/configuration/configuring-keyboard-layout/" >}}

## IBus IME Package List

A list of IBus IME packages available in the Solus software repository.

Package      | Input Method
-------------|---------
Anthy        | Japanese
ibus-chewing | Phonetic Chinese input method for Zhuyin (Bopomofo)
ibus-hangul  | Korean
ibus-m17n    | Multiple Languages
ibus-unikey  | Vietnamese
Pinyin       | Chinese Pinyin and Bopomofo
Zhuyin       | Chinese Zhuyin
Quick        | Simplified Cangjie
