+++
title = "Configuring Mouse and Touchpad"
lastmod = "2017-06-20T19:16:24+03:00"
+++
# Configuring Mouse and Touchpad

Change your mouse and touchpad settings to suit your taste.

## Budgie

You can configure the settings of your mouse and / or touchpad by opening the Budgie Menu and then clicking on "Mouse and Touchpad" in the System Settings category. You will see either settings for your mouse or trackpad, depending on the device.

### Mouse

{{< altimg "mouse-settings.jpg" "help-center/configuration/configuring-mouse-and-touchpad/" >}}

For mice, you can set:

- The primary button (usually left click) to be left or right.
- Mouse speed.
- Enabling / disabling "natural scrolling" (reversed scrolling direction).

### Touchpad

{{< altimg "touchpad-settings.jpg" "help-center/configuration/configuring-mouse-and-touchpad/" >}}

For touchpads, you can set:

- The primary button (usually left click) to be left or right.
- Enabling / disabling of the touchpad.
- Enabling / disabling "natural scrolling" (reversed scrolling direction).
- Touchpad speed.
- Enabling / disabling of Tap to Click.

### Testing

You can test your settings by clicking the "Test Your Settings" button in the top right of the window.

## GNOME

With GNOME, open the Overlay using the `Super` button on your keyboard or by clicking the applications icon in the dock and then find and click on "Mouse and Touchpad". You will see either settings for your mouse or trackpad, depending on the device.

### Mouse

{{< altimg "mouse-settings.jpg" "help-center/configuration/configuring-mouse-and-touchpad/" >}}

For mice, you can set:

- The primary button (usually left click) to be left or right.
- Mouse speed.
- Enabling / disabling "natural scrolling" (reversed scrolling direction).

### Touchpad

{{< altimg "touchpad-settings.jpg" "help-center/configuration/configuring-mouse-and-touchpad/" >}}

For touchpads, you can set:

- The primary button (usually left click) to be left or right.
- Enabling / disabling of the touchpad.
- Enabling / disabling "natural scrolling" (reversed scrolling direction).
- Touchpad speed.
- Enabling / disabling of Tap to Click.

### Testing

You can test your settings by clicking the "Test Your Settings" button in the top right of the window.

## MATE

With MATE, open the Brisk Menu and click on "Preferences" and then on "Mouse".  You can toggle between the mouse and touchpad settings using the tabs at the top of the Mouse Preferences window.  Click "Close" once you have finished making changes.

### Mouse

{{< altimg "mate-mouse-settings.jpg" "help-center/configuration/configuring-mouse-and-touchpad/" >}}

For mice, you can set:

- Left-handed or right-handed.  This will change your primary button.
- Locate the pointer when the Control key is pressed.
- Mouse speed and sensitivity.
- Drag and Drop threshold. This is designed to prevent accidental dragging and dropping by setting the distance required to initiate a drag.
- Double click timeout.  The length of time between 2 mouse clicks for it to register as a double click.

### Touchpad

{{< altimg "mate-touchpad-settings.jpg" "help-center/configuration/configuring-mouse-and-touchpad/" >}}

For touchpads, you can set:

- Enabling / disabling of the touchpad.
- Enabling / disabling of the touchpad whilst typing.
- Enabling / disabling of mouse clicks with the touchpad.
- Two and three finger click emulation.
- Various edge and two finger scrolling options.
- Enabling / disabling "natural scrolling" (reversed scrolling direction).
- Touchpad speed and sensitivity.
