+++
title = "Configuring Network"
lastmod = "2017-06-20T19:16:24+03:00"
+++
# Configuring Network

Easily connect to WiFi networks and manage your connections with any of the desktop environments supported by Solus.

## Budgie

To configure your network settings in Budgie, start by opening the Budgie Menu and then click on "Network" in the System Settings category.

{{< altimg "network-overview.jpg" "help-center/configuration/configuring-network/" >}}

To configure wireless, go to the Wi-Fi section. If your wireless is currently turned off, click the toggle button, leave the Network section, and go back in.

### Non-Hidden Network

In the WiFi section of the Network settings window, click the access point you wish to connect to.

You may now be prompted to authenticate with the network. Type in your password and then click "Connect".

{{< altimg "network-authentication.jpg" "help-center/configuration/configuring-network/" >}}

If your password is correct, you will now be authenticated with the network.

### Hidden Network

If you wish to connect to a hidden network, click “Connect to Hidden Network...” in the WiFi section of the Network settings window. It will show the following dialog, where you type the network name and type of security (if any).

{{< altimg "network-hidden.jpg" "help-center/configuration/configuring-network/" >}}

If the network is found and has a password, you will be prompted to authenticate with the network.

## GNOME

Easily change network settings with GNOME by left or right clicking on the system tray in the top panel and then clicking on "WiFi Not Connected".  

{{< altimg "gnome-top-panel-network-click.jpg" "help-center/configuration/configuring-network/" >}}

Alternatively, you can open the Overlay using the `Super` button on your keyboard or by clicking the applications icon in the dock and then finding and clicking on "Network".

### Non-Hidden Network

Once you have opened the "WiFi Not Connected" menu, click on "Select Network".  Click on the network you wish to join and then on "Connect".

{{< altimg "gnome-network-select.jpg" "help-center/configuration/configuring-network/" >}}

You may now be prompted to authenticate with the network. Type in your password and then click "Connect".

{{< altimg "gnome-network-authentication.jpg" "help-center/configuration/configuring-network/" >}}

If your password is correct, you will now be authenticated with the network.

### Hidden Network

To join a hidden network, open the "WiFi Not Connected" menu and click on "WiFi Settings".  

{{< altimg "network-overview.jpg" "help-center/configuration/configuring-network/" >}}

Next, click on “Connect to Hidden Network...”. It will show the following dialog, where you type the network name and type of security (if any).

{{< altimg "network-hidden.jpg" "help-center/configuration/configuring-network/" >}}

If the network is found and has a password, you will be prompted to authenticate with the network.

## MATE

With MATE, you can manage your network settings by left or right clicking on the network icon in the bottom panel system tray.  A left click will bring up any wireless or wired connections currently available whilst a right click allows you to disable networking, view your current connection information and to create new connections and networks by clicking "Edit Connections...".

### Non-Hidden Network

To connect to a network, left click on the network icon in the system tray.  This will show you a selection of the networks currently available and you may need to click on "More networks" to find the one you want.

{{< altimg "mate-bottom-panel-network-left-click.jpg" "help-center/configuration/configuring-network/" >}}

You may now be prompted to authenticate with the network. Type in your password and then click "Connect".

{{< altimg "mate-network-authentication.jpg" "help-center/configuration/configuring-network/" >}}

If your password is correct, you will now be authenticated with the network.

Should you wish to disconnect from a network, left click on the network icon again and then click on "Disconnect" underneath the network you wish to leave.

{{< altimg "mate-network-disconnect.jpg" "help-center/configuration/configuring-network/" >}}

### Hidden Network

To connect to a hidden network, left click on the network icon in the system tray and then on "Connect to Hidden Wi-Fi Network...".  You will now be asked for the network name and type of security (if any).

{{< altimg "mate-network-hidden.jpg" "help-center/configuration/configuring-network/" >}}

If the network is found and has a password, you will be prompted to authenticate with the network.
