+++
title = "Enabling Workspaces"
lastmod = "2017-07-08T17:51:19+03:00"
+++
# Enabling Workspaces

Each of the supported desktop environments in Solus provide support for workspaces, enabling you to group various application windows into their own dedicated space and switch between them.

## Budgie

Budgie enables the switching of workspaces via the Workspace Switcher. You can enable workspaces in Budgie by adding the Workspace Switcher applet to Raven.

Open Raven using the shortcut `Super + A` or use your mouse to open Raven in the far right of the main Budgie panel.

Click the Raven settings 'cog' icon {{< altimg "raven-settings-cog.jpg" "help-center/configuration/enabling-workspaces/" >}}

Click the Panel button, then in the Applets section, click the '+' button.

Find the Workspace Switcher entry and select it. Click the '+' button at the top of the panel. This will add the Workspace Switcher to the center section, as shown below.

{{< altimg "budgie-workspace-applet.jpg" "help-center/configuration/enabling-workspaces/" >}}

You should now see your workspaces available in the main Budgie panel.

{{< altimg "budgie-workspaces.jpg" "help-center/configuration/enabling-workspaces/" >}}

### Keyboard Shortcuts

Budgie provides a variety of keyboard shortcuts for workspaces.

To view these shortcuts open the Keyboard application and scroll to the Navigation section.

{{< altimg "workspace-shortcuts-gcc.jpg" "help-center/configuration/enabling-workspaces/" >}}

### Workspaces Configuration

There are 4 workspaces available in Budgie by default. If you would like to change this, you will need to install the
GNOME Tweak Tool, available in the Software Center.

Once installed, open Tweak Tool and click on the Workspaces entry in the main panel to change the number of available
workspaces.

{{< altimg "tweak-workspaces.jpg" "help-center/configuration/enabling-workspaces/" >}}

## GNOME

GNOME enables the switching of workspaces via the Workspace Switcher on the right side of the Activities Overview screen. Application windows can be dragged from the Activities Overview to a workspace, whether it is empty / new, or one that already has windows in it.

<video src="/vids/GNOME-Workspace-Switch.mp4" autoplay="autoplay" loop="loop" width="740" height="416"></video>

### Keyboard Shortcuts

GNOME provides a variety of keyboard shortcuts for workspaces.

To view these shortcuts open the Keyboard application and scroll to the Navigation section.

{{< altimg "workspace-shortcuts-gcc.jpg" "help-center/configuration/enabling-workspaces/" >}}

## MATE

In MATE, workspaces are enabled by default.  You can move between workspaces by using the keyboard shortcuts `Ctrl + Alt + Left` and `Ctrl + Alt + Right`.

{{< altimg "mate-workspace-switching.jpg" "help-center/configuration/enabling-workspaces/" >}}

To send an application to a different workspace, right click on the applications titlebar and then use the "Move to Another Workspace" option or "Move to Workspace Right".

{{< altimg "mate-workspace-titlebar-right-click.jpg" "help-center/configuration/enabling-workspaces/" >}}

One of the easiest ways to view and manage your workspaces is by using the Workspace Switcher.  Right click inside the bottom panel and then click on "+ Add to Panel...".

{{< altimg "mate-bottom-panel-right-click.jpg" "help-center/configuration/enabling-workspaces/" >}}

Towards the bottom of the list you will find the Workspace Switcher.  Click on it and then finish by clicking "+ Add".  

{{< altimg "mate-workspace-switch-add-to-panel.jpg" "help-center/configuration/enabling-workspaces/" >}}

You should now be able to see 4 slightly darker boxes to the left of your MATE system tray in the bottom panel.  The workspace you are currently viewing will be highlighted in blue.

{{< altimg "mate-workspace-switcher.jpg" "help-center/configuration/enabling-workspaces/" >}}

In addition to using keyboard shortcuts, you will now be able to switch workspaces by clicking on them in the bottom panel.  You can also drag one workspace onto another in the bottom panel which will move the current active application to the new workspace.

### Keyboard Shortcuts

MATE provides a variety of keyboard shortcuts for workspaces.  By default, the keyboard shortcuts for switching directly to a certain workspace are disabled.

To enable these and to also view all other available shortcuts open the Brisk Menu and click on "Preferences" and then on "Keyboard Shortcuts".  The workspace shortcuts are listed under Windows Management.

{{< altimg "mate-workspace-keyboard-shortcuts.jpg" "help-center/configuration/enabling-workspaces/" >}}

### Workspaces Configuration

By default, MATE provides you with 4 workspaces.  If you would like to have more, less or change their names you must first add the Workspace Switcher to your bottom panel, as detailed above.  You'll then be able to right click on the Workspace Switcher and select "Preferences".

{{< altimg "mate-workspace-switcher-right-click.jpg" "help-center/configuration/enabling-workspaces/" >}}

Use the plus and minus icons to add or remove workspaces.  You can rename workspaces by double clicking on the current names and typing in an alternative.  Click "X Close" once you are happy with your changes.

{{< altimg "mate-workspace-switcher-preferences.jpg" "help-center/configuration/enabling-workspaces/" >}}
