+++
title = "Managing Users"
lastmod = "2017-06-20T19:25:21+03:00"
+++
# Managing Users

Adding and removing users is a simple process in Solus with this guide showing you how to do it.

## Budgie

To add and remove users with Budgie, start by opening the Budgie Menu and then click on "Users" in the System Settings category.

{{< altimg "single-user-settings.jpg" "help-center/configuration/managing-users/" >}}

To manage your own or other accounts, you first need to authenticate. Click the "Unlock" button in the top right corner and type your password. Note that you are required to be an administrator. If you're the only user on the system, then your account is an administrator by default.

In the event the password provided is correct, the "Unlock" button will change to "Add User..."

### Adding a User

To add a user, click the "Add User..." button in the top right corner of the Users window.

{{< altimg "add-user-button.jpg" "help-center/configuration/managing-users/" >}}

This will open the Add User window (shown below).

{{< altimg "add-user-dialog.jpg" "help-center/configuration/managing-users/" >}}

Fill in the required items and then finish adding the new user by clicking "Add" in the top right corner.

### Removing a User

To remove a user, open the Users window and then click on the user you wish to remove.  Now click on the red "Remove User..." button in the bottom right corner.

{{< altimg "multiple-user-settings.jpg" "help-center/configuration/managing-users/" >}}

Upon clicking to remove the user, you will be given the option to keep their files, delete their files, or cancel the removal of the user’s account.

{{< altimg "keep-files-prompt.jpg" "help-center/configuration/managing-users/" >}}

## GNOME

To add and remove users with GNOME, you can click on the icons in the far right of the top panel.  Click on your name and then on "Account Setting".

{{< altimg "gnome-top-panel-right-click.jpg" "help-center/configuration/managing-users/" >}}

Alternatively, you can open the Overlay using the `Super` button on your keyboard or by clicking the applications icon in the dock and then finding and clicking on "Users".

{{< altimg "single-user-settings.jpg" "help-center/configuration/managing-users/" >}}

To manage your own or other accounts, you first need to authenticate. Click the "Unlock" button in the top right corner and type your password. Note that you are required to be an administrator. If you're the only user on the system, then your account is an administrator by default.

In the event the password provided is correct, the "Unlock" button will change to "Add User..."

### Adding a User

To add a user, click the "Add User..." button in the top right corner of the Users window.

{{< altimg "add-user-button.jpg" "help-center/configuration/managing-users/" >}}

This will open the Add User window (shown below).

{{< altimg "add-user-dialog.jpg" "help-center/configuration/managing-users/" >}}

Fill in the required items and then finish adding the new user by clicking "Add" in the top right corner.

### Removing a User

To remove a user, open the Users window and then click on the user you wish to remove.  Now click on the red "Remove User..." button in the bottom right corner.

{{< altimg "multiple-user-settings.jpg" "help-center/configuration/managing-users/" >}}

Upon clicking to remove the user, you will be given the option to keep their files, delete their files, or cancel the removal of the user’s account.

{{< altimg "keep-files-prompt.jpg" "help-center/configuration/managing-users/" >}}

## MATE

To add and remove users with MATE, open the Brisk Menu and click on "Administration" and then on "Users and Groups".

{{< altimg "mate-single-user-settings.jpg" "help-center/configuration/managing-users/" >}}

### Adding a User

To add a user, click the "+ Add" button underneath the list of users.  You will be asked to input your password before you can make changes.

{{< altimg "mate-create-new-user.jpg" "help-center/configuration/managing-users/" >}}

Fill in the required items and then finish adding the new user by clicking "OK" in the bottom right corner.

### Removing a User

To remove a user, open the User Settings window and then click on the user you wish to remove.  Now click on the "- Delete" button underneath the list of users.

{{< altimg "mate-multiple-user-settings.jpg" "help-center/configuration/managing-users/" >}}

Upon clicking to remove the user, you will be given the option to keep their files, delete their files, or cancel the removal of the user’s account.

{{< altimg "mate-keep-files-prompt.jpg" "help-center/configuration/managing-users/" >}}
