+++
title = "Getting Involved"
lastmod = "2017-07-22T15:24:32+03:00"
+++
# Getting Involved

Solus is a big undertaking, and as such there are many ways in which your involvement can help us. Naturally, that means there are also many ways in which you can help out.

## Engaging with the Community

### Community Guidelines

The Solus Project enforces a set of community guidelines to maintain respect and professionalism, as well as a family-friendly environment. Please view our community guidelines [here](/articles/contributing/community-guidelines/en/).

### Community Forums

With so many new users joining, there are always more people needing help. A great way to help us out, would be to help out our users on the [Solus Project Forums](https://solus-project.com/forums/).

### IRC

[Internet Relay Chat](https://en.wikipedia.org/wiki/Internet_Relay_Chat) is a great way to discuss issues and development with the community, and project developers. It's also a great place for getting support, but remember due 
to timezone differences there might not always be people present to answer your query immediately. You can access IRC using free clients like Hexchat (preinstalled on Solus) and Quassel! *Note that web IRC clients are not permitted..*

You will find the following Solus channels on the [freenode](https://freenode.net/) network:

- [#Solus](irc://chat.freenode.net/#Solus) - Support channel.
- [#Solus-Chat](irc://chat.freenode.net/#Solus-Chat) - Off-topic channel.
- [#Solus-Dev](irc://chat.freenode.net/#Solus-Dev) - Development-related discussions.
- [#Solus-LiveStream](irc://chat.freenode.net/#Solus-LiveStream) - Channel used for discussion during Hackfests and other official Solus live streams.

### Social Media

Alongside the forums, you can communicate with developers or others in the community by using one of the following websites:

- [Facebook](https://www.facebook.com/get.solus)
- [Google+ Page](https://plus.google.com/u/0/+Solus-Project)
- [Google+ Community](https://plus.google.com/communities/104830131595272878110)
- [Reddit](http://www.reddit.com/r/SolusProject/) 
- [Twitter](https://twitter.com/solusproject)

## Improving Documentation

Our Help Center improves when the documentation improves. If there are articles that you think would be valuable to add, get involved by submitting pull requests to our [Help Center Docs](https://github.com/solus-project/help-center-docs) repo!

## Packaging

There may be software you wish to have on your system that is currently not available in the repository. While you are more than welcome to submit a bug and wait for someone else to package the software you want, you can also improve 
and contribute to the community by packaging software. If you're interested in learning to package software, feel free to visit our documentation [here](/articles/packaging/guide/en/).

## Report Bugs

We're always looking to improve our systems, especially when they're not functioning as expected. By reporting bugs, you improve the system not only for you, but for all Solus Project users.

- [Developer Portal](https://dev.solus-project.com)

## Translations

Assistance is always welcome in translating [Budgie Desktop](https://www.transifex.com/budgie-desktop/budgie-desktop/) and other [Solus applications](https://www.transifex.com/solus-project/public/) to other languages.
